> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Price

> Gets the price of a token.



## OpenAPI

````yaml /reference/api-json.json get /market-data/price
openapi: 3.0.0
info:
  title: Unified Request
  description: One API for all your web3 needs.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-test.uniblock.dev/uni/v1
    description: Test-Gateway
security:
  - {}
  - ApiKeyAuth: []
tags: []
paths:
  /market-data/price:
    get:
      tags:
        - Market Data
      summary: Get Token Price
      description: Gets the price of a token.
      operationId: MarketDataPrice
      parameters:
        - name: id
          required: false
          in: query
          description: >-
            The ID of the coin to get price of, separated by commas for multiple
            coins
          schema:
            example: cg:ethereum, cg:tether, cmc:5426
            type: string
        - name: symbol
          required: false
          in: query
          description: >-
            Symbols of coin to get price of, separated by commas for multiple
            coins
          schema:
            default: ETH,USDT,SOL
            example: ETH,USDT,SOL
            type: string
        - name: chainId
          required: false
          in: query
          description: >-
            Unique identifier for a blockchain network, separated by commas for
            multiple tokens
          schema:
            type: string
        - name: tokenAddress
          required: false
          in: query
          description: >-
            The address of the token to query, separated by commas for multiple
            tokens
          schema:
            type: string
        - name: currency
          required: false
          in: query
          description: Target currency (USD, EUR, JPY etc)
          schema:
            default: USD
            example: USD,EUR,JPY
            type: string
        - name: includeAllCurrencies
          required: false
          in: query
          description: Whether to get marketcap in all currencies
          schema:
            type: boolean
        - name: includeRaw
          required: false
          in: query
          description: >-
            Returns the raw data given by the provider. WARNING: removes backup
            feature, and raw data returned is not normalized which might make
            switching providers difficult
          schema:
            example: null
            type: boolean
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            enum:
              - Alchemy
              - CoinGecko
              - CoinMarketCap
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketDataPriceResponse'
components:
  schemas:
    MarketDataPriceResponse:
      type: object
      properties: {}
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (optional)

````